000032341 - After upgrading RSA Adaptive Authentication on Premise from version 7.1 patch 5 to 7.2 the database script throws an error

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000032341
Applies ToRSA Product Set: Adaptive Authentication (OnPrem)
RSA Product/Service Type: Adaptive Authentication (OnPrem)
RSA Version/Condition: 7.2
Platform: Windows
O/S Version: 2008 Server R2 x64
Database: Microsoft SQL Server
IssueAfter upgrading Adaptive Authentication (on-Premise) from version 7.1 P5 to 7.2 he following error occurs when running database script 61_AA72x_db_changes.sql in the 7.2 upgrade installer:
 
Msg 547, Level 16, State 0, Line 18
The INSERT statement conflicted with the FOREIGN KEY constraint "FK_GEN_PVALUE_GEN_PARAM".
The conflict occurred in database "RSA_CORE_AA", table "dbo.GEN_CONFIG_PARAM", column 'ID'.
The statement has been terminated.
Cause

The problem is in the installer's SQL command, that has the v_is_auth_method value in the wrong place:


INSERT INTO gen_config_param_value(id,gen_config_param_id,value)
VALUES (v_is_auth_method, '84a6028cd23d41d89bdf798dfdd842ce', 'OOBBIOMETRICS');
ResolutionTo resolve the issue modify the SQL statement from the database script as follows:
 
INSERT INTO gen_config_param_value(id,gen_config_param_id,value)
VALUES ( '84a6028cd23d41d89bdf798dfdd842ce', v_is_auth_method, 'OOBBIOMETRICS')

Attachments

    Outcomes